Bug 1675031 - golang-github-oschwald-maxminddb-golang: FTBFS in Fedora rawhide/f30
Summary: golang-github-oschwald-maxminddb-golang: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-oschwald-maxminddb-golang
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:35 UTC by Fedora Release Engineering
Modified: 2019-06-10 00:52 UTC (History)
3 users (show)

Fixed In Version: golang-github-oschwald-maxminddb-golang-1.3.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 00:52:39 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:35 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:35 UTC, Fedora Release Engineering
no flags Details
state.log (749 bytes, text/plain)
2019-02-11 18:35 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
Github oschwald maxminddb-golang issues 51 None None None 2019-02-11 22:57:10 UTC

Description Fedora Release Engineering 2019-02-11 18:35:44 UTC
golang-github-oschwald-maxminddb-golang failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32396606


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix golang-github-oschwald-maxminddb-golang at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-oschwald-maxminddb-golang will be orphaned. Before branching of Fedora 31,
golang-github-oschwald-maxminddb-golang will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:35:46 UTC
Created attachment 1530305 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:35:48 UTC
Created attachment 1530306 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:35:49 UTC
Created attachment 1530307 [details]
state.log

Comment 4 Fabio Valentini 2019-02-11 22:57:11 UTC
Linked upstream issue.

Comment 5 Jakub Čajka 2019-02-13 13:07:42 UTC
Caused by crash in tests on ppc64le, aarch64 and s390x:
+ go test -buildmode pie -compiler gc -ldflags '-extldflags '\''-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld '\'''
unexpected fault address 0x7fffb449e94b
fatal error: fault
[signal SIGSEGV: segmentation violation code=0x1 addr=0x7fffb449e94b pc=0x10c3f7590]
goroutine 52 [running]:
runtime.throw(0x10c40d701, 0x5)
	/usr/lib/golang/src/runtime/panic.go:617 +0x68 fp=0xc0000af6e0 sp=0xc0000af6a0 pc=0x10c1b80b8
runtime.sigpanic()
	/usr/lib/golang/src/runtime/signal_unix.go:397 +0x464 fp=0xc0000af720 sp=0xc0000af6e0 pc=0x10c1d0954
github.com/oschwald/maxminddb-golang.(*decoder).decodeCtrlData(0xc0000afc10, 0x3349, 0x10c550400, 0xc00044e000, 0xc000446000, 0xc000466000, 0x19)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:62 +0x50 fp=0xc0000af7b8 sp=0xc0000af740 pc=0x10c3f7590
github.com/oschwald/maxminddb-golang.(*decoder).decodeKey(0xc0000afc10, 0x3349, 0x15, 0x10c53f840, 0xc000446000, 0x98, 0x10c54ee40, 0xc000466000)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:673 +0x4c fp=0xc0000af840 sp=0xc0000af7b8 pc=0x10c3fc0fc
github.com/oschwald/maxminddb-golang.(*decoder).decodeMap(0xc0000afc10, 0x2, 0x3349, 0x10c550400, 0xc00044e000, 0x15, 0x1, 0x3325, 0x10c3f83cc, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:484 +0x120 fp=0xc0000af908 sp=0xc0000af840 pc=0x10c3fb120
github.com/oschwald/maxminddb-golang.(*decoder).unmarshalMap(0xc0000afc10, 0x2, 0x3326, 0x10c54ee40, 0xc0004479a0, 0x194, 0x1, 0x2, 0x3326, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:324 +0x320 fp=0xc0000afa20 sp=0xc0000af908 pc=0x10c3f9b30
github.com/oschwald/maxminddb-golang.(*decoder).decodeFromType(0xc0000afc10, 0x7, 0x2, 0x3326, 0x10c531700, 0xc0004479a0, 0x16, 0x1, 0x1, 0xd34263aa77ce097, ...)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:123 +0x4a0 fp=0xc0000afab0 sp=0xc0000afa20 pc=0x10c3f7d80
github.com/oschwald/maxminddb-golang.(*decoder).decode(0xc0000afc10, 0x3325, 0x10c531700, 0xc0004479a0, 0x16, 0x0, 0x3325, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:54 +0xd4 fp=0xc0000afb48 sp=0xc0000afab0 pc=0x10c3f7344
github.com/oschwald/maxminddb-golang.(*verifier).verifyDataSection(0xc0000afd48, 0xc000388f90, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier.go:137 +0x178 fp=0xc0000afcc8 sp=0xc0000afb48 pc=0x10c3ff4c8
github.com/oschwald/maxminddb-golang.(*verifier).verifyDatabase(0xc0000afd48, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier.go:94 +0xa0 fp=0xc0000afd10 sp=0xc0000afcc8 pc=0x10c3fef70
github.com/oschwald/maxminddb-golang.(*Reader).Verify(0xc0002d8aa0, 0xc0002c8200, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier.go:18 +0x80 fp=0xc0000afd50 sp=0xc0000afd10 pc=0x10c3fe670
github.com/oschwald/maxminddb-golang.TestVerifyOnGoodDatabases(0xc0002c8200)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier_test.go:35 +0x114 fp=0xc0000aff70 sp=0xc0000afd50 pc=0x10c40a004
testing.tRunner(0xc0002c8200, 0x10c5ae540)
	/usr/lib/golang/src/testing/testing.go:862 +0xdc fp=0xc0000affb0 sp=0xc0000aff70 pc=0x10c26506c
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_ppc64x.s:856 +0x4 fp=0xc0000affb0 sp=0xc0000affb0 pc=0x10c1eab24
created by testing.(*T).Run
	/usr/lib/golang/src/testing/testing.go:913 +0x304
goroutine 1 [chan receive]:
testing.(*T).Run(0xc0002c8200, 0x10c413d0f, 0x19, 0x10c5ae540, 0x10c777f01)
	/usr/lib/golang/src/testing/testing.go:914 +0x320
testing.runTests.func1(0xc000162000)
	/usr/lib/golang/src/testing/testing.go:1154 +0x8c
testing.tRunner(0xc000162000, 0xc0000addd8)
	/usr/lib/golang/src/testing/testing.go:862 +0xdc
testing.runTests(0xc00009c3a0, 0x10c777740, 0x23, 0x23, 0x0)
	/usr/lib/golang/src/testing/testing.go:1152 +0x2a0
testing.(*M).Run(0xc000160000, 0x0)
	/usr/lib/golang/src/testing/testing.go:1069 +0x174
main.main()
	_testmain.go:120 +0x150
exit status 2
FAIL	github.com/oschwald/maxminddb-golang	0.049

+ go test -buildmode pie -compiler gc -ldflags '-extldflags '\''-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld '\'''
unexpected fault address 0xffff880dbb13
fatal error: fault
[signal SIGSEGV: segmentation violation code=0x1 addr=0xffff880dbb13 pc=0xaaaad3ab6e88]
goroutine 52 [running]:
runtime.throw(0xaaaad3ca490b, 0x5)
	/usr/lib/golang/src/runtime/panic.go:617 +0x54 fp=0x40000af690 sp=0x40000af660 pc=0xaaaad3a894d4
runtime.sigpanic()
	/usr/lib/golang/src/runtime/signal_unix.go:397 +0x3c8 fp=0x40000af6c0 sp=0x40000af690 pc=0xaaaad3a9ec88
runtime.memmove(0x400001e0f0, 0xffff880dbaf3, 0x26)
	/usr/lib/golang/src/runtime/memmove_arm64.s:53 +0x58 fp=0x40000af6d0 sp=0x40000af6d0 pc=0xaaaad3ab6e88
runtime.slicebytetostring(0x0, 0xffff880dbaf3, 0x26, 0x3eb1, 0x400001e0f0, 0x26)
	/usr/lib/golang/src/runtime/string.go:106 +0x70 fp=0x40000af700 sp=0x40000af6d0 pc=0xaaaad3aa3430
github.com/oschwald/maxminddb-golang.(*decoder).decodeString(...)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:554
github.com/oschwald/maxminddb-golang.(*decoder).unmarshalString(0x40000afc50, 0x26, 0x34f1, 0xaaaad3dd61e0, 0x4000012090, 0x194, 0x194, 0x34f1, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:363 +0x74 fp=0x40000af7b0 sp=0x40000af700 pc=0xaaaad3c931f4
github.com/oschwald/maxminddb-golang.(*decoder).decodeFromType(0x40000afc50, 0x2, 0x26, 0x34f1, 0xaaaad3db8920, 0x4000012090, 0x16, 0x2, 0x40000af801, 0x4000012090, ...)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:144 +0x198 fp=0x40000af830 sp=0x40000af7b0 pc=0xaaaad3c90e68
github.com/oschwald/maxminddb-golang.(*decoder).decode(0x40000afc50, 0x34ef, 0xaaaad3db8920, 0x4000012090, 0x16, 0x1, 0x0, 0x0, 0x194)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:54 +0xac fp=0x40000af8c0 sp=0x40000af830 pc=0xaaaad3c907ac
github.com/oschwald/maxminddb-golang.(*decoder).decodeMap(0x40000afc50, 0x4, 0x34ef, 0xaaaad3dd77a0, 0x400044c000, 0x15, 0x1, 0x34e7, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:491 +0x19c fp=0x40000af980 sp=0x40000af8c0 pc=0xaaaad3c9403c
github.com/oschwald/maxminddb-golang.(*decoder).unmarshalMap(0x40000afc50, 0x4, 0x34e8, 0xaaaad3dd61e0, 0x4000012060, 0x194, 0x1, 0x34e8, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:324 +0x2f0 fp=0x40000afa90 sp=0x40000af980 pc=0xaaaad3c92bd0
github.com/oschwald/maxminddb-golang.(*decoder).decodeFromType(0x40000afc50, 0x7, 0x4, 0x34e8, 0xaaaad3db8920, 0x4000012060, 0x16, 0x1, 0x40003c6511, 0x1, ...)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:123 +0x44c fp=0x40000afb10 sp=0x40000afa90 pc=0xaaaad3c9111c
github.com/oschwald/maxminddb-golang.(*decoder).decode(0x40000afc50, 0x34e7, 0xaaaad3db8920, 0x4000012060, 0x16, 0x0, 0x34e7, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:54 +0xac fp=0x40000afba0 sp=0x40000afb10 pc=0xaaaad3c907ac
github.com/oschwald/maxminddb-golang.(*verifier).verifyDataSection(0x40000afd70, 0x4000386f90, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier.go:137 +0x158 fp=0x40000afd10 sp=0x40000afba0 pc=0xaaaad3c97be8
github.com/oschwald/maxminddb-golang.(*verifier).verifyDatabase(0x40000afd70, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier.go:94 +0x7c fp=0x40000afd50 sp=0x40000afd10 pc=0xaaaad3c9772c
github.com/oschwald/maxminddb-golang.(*Reader).Verify(0x40002d6aa0, 0x40002c6200, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier.go:18 +0x60 fp=0x40000afd80 sp=0x40000afd50 pc=0xaaaad3c96f40
github.com/oschwald/maxminddb-golang.TestVerifyOnGoodDatabases(0x40002c6200)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier_test.go:35 +0xd8 fp=0x40000aff90 sp=0x40000afd80 pc=0xaaaad3ca19f8
testing.tRunner(0x40002c6200, 0xaaaad3e35ea8)
	/usr/lib/golang/src/testing/testing.go:862 +0xb4 fp=0x40000affc0 sp=0x40000aff90 pc=0xaaaad3b25ce4
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_arm64.s:1128 +0x4 fp=0x40000affc0 sp=0x40000affc0 pc=0xaaaad3ab6814
created by testing.(*T).Run
	/usr/lib/golang/src/testing/testing.go:913 +0x2a0
goroutine 1 [chan receive]:
testing.(*T).Run(0x40002c6200, 0xaaaad3caaf96, 0x19, 0xaaaad3e35ea8, 0x5c53f601)
	/usr/lib/golang/src/testing/testing.go:914 +0x2bc
testing.runTests.func1(0x4000162000)
	/usr/lib/golang/src/testing/testing.go:1154 +0x74
testing.tRunner(0x4000162000, 0x40000addf8)
	/usr/lib/golang/src/testing/testing.go:862 +0xb4
testing.runTests(0x400009c380, 0xaaaad400c800, 0x23, 0x23, 0x0)
	/usr/lib/golang/src/testing/testing.go:1152 +0x25c
testing.(*M).Run(0x4000160000, 0x0)
	/usr/lib/golang/src/testing/testing.go:1069 +0x150
main.main()
	_testmain.go:120 +0x154
exit status 2
FAIL	github.com/oschwald/maxminddb-golang	0.077s

+ go test -buildmode pie -compiler gc -ldflags '-extldflags '\''-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld '\'''
unexpected fault address 0x3ff8b10e000
fatal error: fault
[signal SIGSEGV: segmentation violation code=0x1 addr=0x3ff8b10e000 pc=0x2aa06e058ae]
goroutine 52 [running]:
runtime.throw(0x2aa06e1bbd6, 0x5)
	/usr/lib/golang/src/runtime/panic.go:617 +0x72 fp=0xc0000a7ad0 sp=0xc0000a7aa8 pc=0x2aa06b9e482
runtime.sigpanic()
	/usr/lib/golang/src/runtime/signal_unix.go:397 +0x45a fp=0xc0000a7af8 sp=0xc0000a7ad0 pc=0x2aa06bb6f9a
github.com/oschwald/maxminddb-golang.(*decoder).decodeCtrlData(0xc0000a7c90, 0x36ac, 0xc00003ca80, 0x368b, 0x3ff9bf3a008, 0x0, 0x2aa06e0de72)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:62 +0x3e fp=0xc0000a7b60 sp=0xc0000a7b00 pc=0x2aa06e058ae
github.com/oschwald/maxminddb-golang.(*decoder).decode(0xc0000a7c90, 0x36ac, 0x2aa06f21380, 0xc0004505a0, 0x16, 0x0, 0x36ac, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/decoder.go:45 +0x3e fp=0xc0000a7be0 sp=0xc0000a7b60 pc=0x2aa06e055ae
github.com/oschwald/maxminddb-golang.(*verifier).verifyDataSection(0xc0000a7d98, 0xc000380f90, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier.go:137 +0x192 fp=0xc0000a7d48 sp=0xc0000a7be0 pc=0x2aa06e0df72
github.com/oschwald/maxminddb-golang.(*verifier).verifyDatabase(0xc0000a7d98, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier.go:94 +0x9a fp=0xc0000a7d78 sp=0xc0000a7d48 pc=0x2aa06e0da0a
github.com/oschwald/maxminddb-golang.(*Reader).Verify(0xc0002d0aa0, 0xc0002be400, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier.go:18 +0x70 fp=0xc0000a7da0 sp=0xc0000a7d78 pc=0x2aa06e0d1e0
github.com/oschwald/maxminddb-golang.TestVerifyOnGoodDatabases(0xc0002be400)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/verifier_test.go:35 +0xee fp=0xc0000a7fa8 sp=0xc0000a7da0 pc=0x2aa06e189de
testing.tRunner(0xc0002be400, 0x2aa06f9e6b8)
	/usr/lib/golang/src/testing/testing.go:862 +0xca fp=0xc0000a7fc8 sp=0xc0000a7fa8 pc=0x2aa06c5310a
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_s390x.s:779 +0x2 fp=0xc0000a7fc8 sp=0xc0000a7fc8 pc=0x2aa06bd18a2
created by testing.(*T).Run
	/usr/lib/golang/src/testing/testing.go:913 +0x36a
goroutine 1 [chan receive]:
testing.(*T).Run(0xc0002be400, 0x2aa06e22542, 0x19, 0x2aa06f9e6b8, 0x10002aa06c530b6)
	/usr/lib/golang/src/testing/testing.go:914 +0x38a
testing.runTests.func1(0xc00015a000)
	/usr/lib/golang/src/testing/testing.go:1154 +0x8a
testing.tRunner(0xc00015a000, 0xc0000a5e38)
	/usr/lib/golang/src/testing/testing.go:862 +0xca
testing.runTests(0xc0000943a0, 0x2aa07175760, 0x23, 0x23, 0x0)
	/usr/lib/golang/src/testing/testing.go:1152 +0x2c4
testing.(*M).Run(0xc000158000, 0x0)
	/usr/lib/golang/src/testing/testing.go:1069 +0x192
main.main()
	_testmain.go:120 +0x15e
goroutine 18 [syscall]:
syscall.Syscall(0x5b, 0x3ff8b380000, 0xf4f, 0x0, 0xc0000346c0, 0xfe4bbf00, 0x22023c33dbbf9970)
	/usr/lib/golang/src/syscall/asm_linux_s390x.s:13 +0x12
golang.org/x/sys/unix.munmap(0x3ff8b380000, 0xf4f, 0x3ff8b380f4e, 0xc0000c0e58)
	/usr/share/gocode/src/golang.org/x/sys/unix/zsyscall_linux_s390x.go:1540 +0x3c
golang.org/x/sys/unix.(*mmapper).Munmap(0x2aa071701a0, 0x3ff8b380000, 0xf4f, 0xf4f, 0x0, 0x0)
	/usr/share/gocode/src/golang.org/x/sys/unix/syscall_unix.go:139 +0x170
golang.org/x/sys/unix.Munmap(...)
	/usr/share/gocode/src/golang.org/x/sys/unix/syscall_linux.go:1420
github.com/oschwald/maxminddb-golang.munmap(...)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/mmap_unix.go:14
github.com/oschwald/maxminddb-golang.(*Reader).Close(0xc0002d0460, 0x0, 0x0)
	/builddir/build/BUILD/maxminddb-golang-1.3.0/_build/src/github.com/oschwald/maxminddb-golang/reader_other.go:59 +0xd4
exit status 2
FAIL	github.com/oschwald/maxminddb-golang	0.029s

Comment 6 Jakub Čajka 2019-02-28 08:27:41 UTC
For the record this doesn't seems to be resolved by fixes in BZ#1680040.
https://koji.fedoraproject.org/koji/taskinfo?taskID=33100624

Comment 7 Fabio Valentini 2019-03-01 16:17:15 UTC
I checked back after go 1.12 landed, and it's not fixed.
In fact, at some point in time, the segfault started to happen regardless of architecture.

Looking at the koschei logs [0], the only thing that happened before the issue started occurring on all architectures, is the fedora 30 mass rebuild.

[0]: https://apps.fedoraproject.org/koschei/package/golang-github-oschwald-maxminddb-golang?collection=f31

Comment 8 Fedora Update System 2019-05-30 11:20:38 UTC
FEDORA-2019-3a3de602b4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3a3de602b4

Comment 9 Fedora Update System 2019-05-31 00:53:09 UTC
golang-github-oschwald-maxminddb-golang-1.3.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3a3de602b4

Comment 10 Fedora Update System 2019-06-10 00:52:39 UTC
golang-github-oschwald-maxminddb-golang-1.3.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.